Name:           egoboo-data
Version:        2.7.5
Release:        6%{?dist}
Summary:        Data files for the Egoboo RPG
Group:          Amusements/Games
License:        GPL+
URL:            http://egoboo.sourceforge.net/
# This is http://downloads.sourceforge.net/egoboo/egob275.exe
# installed under wine, with the exe's, dll's and non free fonts removed from
# ~/.wine/drive_c/Program\ Files/Egoboo\ Development\ Team/Egoboo
# and then put in a tarbal. I'll try to educate upstream to make this
# available in a better suited format.
Source0:        %{name}-clean-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ImageMagick
BuildArch:      noarch
# dejavu gets used as a replacement for the non free fonts
Requires:       dejavu-sans-fonts hicolor-icon-theme
# so that we get uninstalled together with egoboo
Requires:       egoboo >= %{version}

%description
Data files for the Egoboo RPG. 


%prep
%setup -q
sed -i 's/\r//' Changelog.txt Readme.txt
rm -r modules/firedom.mod/objects/*.obj/CVS


%build
convert basicdat/icon.bmp -transparent '#c8c8c8' egoboo.png


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/egoboo
cp -a controls.txt setup.txt basicdat modules players \
  $RPM_BUILD_ROOT%{_datadir}/egoboo
ln -s ../../fonts/dejavu/DejaVuSans.ttf \
  $RPM_BUILD_ROOT%{_datadir}/egoboo/basicdat/Negatori.ttf

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -m 644 egoboo.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc *.pdf Changelog.txt Readme.txt
%{_datadir}/egoboo
%{_datadir}/icons/hicolor/64x64/apps/egoboo.png


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Hans de Goede <hdegoede@redhat.com> 2.7.5-4
- Fix dejavu font Requires (again) (#480448)

* Sat Dec 27 2008 Hans de Goede <hdegoede@redhat.com> 2.7.5-3
- Fix dejavu font Requires

* Fri Dec 26 2008 Hans de Goede <hdegoede@redhat.com> 2.7.5-2
- Remove some non free fonts, replace with symlinks to dejavu (rh 477379)

* Mon Dec 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.7.5-1
- New upstream release 2.7.5

* Mon Oct 29 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.4.4b-1
- New upstream release 2.4.4b

* Sun Oct  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.4.3-1
- Initial Fedora package
